Page MenuHomePhabricator

Wikilinks from global user pages should point to the central wiki
Open, Needs TriagePublic

Description

User pages on central wikis are first supposed to serve as user pages for the central wiki itself, so their wikilinks will logically point there.
Suddenly requiring thousands of users to update their user pages just to make them usable and not confusing to other users is nonsense.

Event Timeline

Ricordisamoa updated the task description. (Show Details)
Ricordisamoa raised the priority of this task from to Needs Triage.
Ricordisamoa added a project: GlobalUserPage.
Ricordisamoa added a subscriber: Ricordisamoa.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2015, 12:35 AM

Deep in Title::getLocalURL():

			// @todo FIXME: This causes breakage in various places when we
			// actually expected a local URL and end up with dupe prefixes.
			if ( $wgRequest->getVal( 'action' ) == 'render' ) {
				$url = $wgServer . $url;
			}

We should probably turn that into a parser option and expose it via the API.

Providing a simple way to make wikilinks point to the local wiki would have some use cases too, but too few to change the default behavior IMHO.

Yeah, I imagine the more specific way to say this is that the wikilinks should be 'relative' to the central wiki so that what works there will work elsewhere (for example if someone does [[:en:Main_page]] on meta you will get the enWiki 'Main_page' if you do that on deWikibooks you will get the enWikibooks 'Main_page'. That may not be the right way for them to do it (I know I've hit lawyers for doing similar style links before) but they have no real way to "know" that wouldn't work on all of the wikis that the user page is shown on.

jayvdb added a subscriber: jayvdb.Feb 19 2015, 1:34 AM
Legoktm claimed this task.Feb 19 2015, 2:15 AM

Change 191533 had a related patch set uploaded (by Legoktm):
API: Allow requesting fully qualified urls action=parse

https://gerrit.wikimedia.org/r/191533

Patch-For-Review

Seems if we use [[m:page]] in meta user page(global user page), it doesn't redirects to meta wiki, it just redirects to local wiki page.

Seems if we use [[m:page]] in meta user page(global user page), it doesn't redirects to meta wiki, it just redirects to local wiki page.

really?... wow that's... that's weird..

Shanmugamp7 added a comment.EditedFeb 19 2015, 6:48 AM

Seems if we use [[m:page]] in meta user page(global user page), it doesn't redirects to meta wiki, it just redirects to local wiki page.

really?... wow that's... that's weird..

As you can see here i tried [[m:]] and [[Ⓜ️]], both doesn't work here

Let's just remove "m" from $wgLocalInterwikis. We've done without for years, it was nice of TTO to fix that but WhatLinksHere can survive.

TTO added a comment.Feb 19 2015, 9:07 AM

Let's just remove "m" from $wgLocalInterwikis. We've done without for years, it was nice of TTO to fix that but WhatLinksHere can survive.

No, that only fixes half the problem. I think the reporter wants a link like [[Tech/News]] on their global user page to always point to Meta, which is a very sensible behaviour.

I ended up 'fixing' my global user page this way...

Ltrlg added a subscriber: Ltrlg.Feb 19 2015, 3:07 PM
Legoktm set Security to None.
Legoktm moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.
Stryn added a subscriber: Stryn.Feb 19 2015, 6:14 PM
Anomie added a subscriber: Anomie.Feb 19 2015, 7:47 PM

Duplicate of or blocked by T42128?

KTC added a subscriber: KTC.Feb 19 2015, 8:56 PM

Change 191812 had a related patch set uploaded (by Legoktm):
Temporarily remove 'm' from metawiki's $wgLocalInterwikis

https://gerrit.wikimedia.org/r/191812

Patch-For-Review

In T89916#1049237, @TTO wrote:

Let's just remove "m" from $wgLocalInterwikis. We've done without for years, it was nice of TTO to fix that but WhatLinksHere can survive.

No, that only fixes half the problem. I think the reporter wants a link like [[Tech/News]] on their global user page to always point to Meta, which is a very sensible behaviour.

It'll be fine as a temporary hack until we can get a proper patch through which is turning out to be pretty large...

Change 191812 merged by jenkins-bot:
Temporarily remove 'm' from metawiki's $wgLocalInterwikis

https://gerrit.wikimedia.org/r/191812

FDMS added a subscriber: FDMS.Feb 21 2015, 2:16 AM
He7d3r added a subscriber: He7d3r.

@He7d3r may I ask: why thumbs down? Your opinion is welcome and would be more valuable if you put it in words.

Because when I want a link to a specific project I use @Pathoschild's suggestion:

Prefix all interwiki links with "m:" to ensure they will work on all wikis (for example, use [[m:w:fr:Article]] instead of [[w:fr:Article]]).

So, if I want a link to Meta-wiki, I just use [[m:This]].

KTC added a comment.Feb 26 2015, 3:48 PM

That's all fine and dandy if it weren't for the fact that "m:" was broken on global user page until change 191812 (see above) provided a temporary fix!

Because when I want a link to a specific project I use @Pathoschild's suggestion:

Prefix all interwiki links with "m:" to ensure they will work on all wikis (for example, use [[m:w:fr:Article]] instead of [[w:fr:Article]]).

So, if I want a link to Meta-wiki, I just use [[m:This]].

Interesting, but... is updating thousands of pages just to get the correct behavior worth it?

Pikne added a subscriber: Pikne.Mar 3 2015, 9:26 AM

I wonder if the wanted behaviour is similar to Commons file description pages which are transcluded on local wikis and where links are still relative to Commons (except for comment line links). Could it be implemented the same way?

Harej awarded a token.Mar 5 2015, 8:23 PM

If this is implemented, how would we link to local pages? (eg. to a MediaWiki category/interface/special page)

Stryn closed subtask T191030: Offtopic as Declined.Mar 29 2018, 2:55 PM